<template>
  <div>
    <h1>Vue 2 and Fetch Example</h1>

    <div>
      <table>
        <thead>
        <tr>
          <th> id </th>
          <th> name </th>
          <th> articleID</th>
          <th> height </th>
          <th> width </th>
          <th> price </th>
          <th> updated_at</th>
          <th> created_at</th>
        </tr>
        </thead>
        <tbody v-for="product in products" :key="product.id">
        <tr>
          <td> {{ product.id }}</td>
          <td> {{ product.name }}</td>
          <td> {{ product.articleID }}</td>
          <td> {{ product.height }}</td>
          <td> {{ product.width }}</td>
          <td> {{ product.price }}</td>
          <td> {{ product.updated_at}}</td>
          <td> {{ product.created_at}}</td>
        </tr>
        </tbody>
      </table>

    </div>

  </div>
</template>

<script>
export default {
  name: 'post',
  methods: {
    fetchProducts() {
      fetch('http://34.123.200.254/products')
      .then(response => response.json())
      .then(data =>  this.products = data.data)
    }
  },
  data() {
    return {
      products: []
    }
  },
  mounted() {
    this.fetchProducts();
  }


}

</script>